Save Clarity Process Snapshot
curl --request POST \
--url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exceptions": [
{
"id": "<string>",
"exception": "<string>",
"handling": "<string>"
}
],
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"nodeType": "event",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>",
"captureId": "<string>",
"evidenceId": "<string>",
"locator": {
"type": "transcript_message",
"messageIndex": 4503599627370495,
"timestampMs": 4503599627370495
}
}
],
"condition": "<string>",
"pool": "<string>",
"dataObjects": [
{
"name": "<string>",
"state": "<string>"
}
],
"interactions": [
{
"field": "<string>",
"screen": "<string>",
"system": "<string>",
"value": "<string>",
"valueSource": "<string>"
}
],
"effort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1
},
"frequency": {
"count": 1
},
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"extraCaptureNeeds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
}
],
"missingInfo": [
{
"id": "<string>",
"factKey": "<string>",
"ask": "<string>",
"createdAt": "<string>",
"proposal": "<string>",
"thread": [],
"fact": "<string>",
"applied": {
"person": "<string>",
"excerpt": "<string>",
"value": "<string>",
"exceptions": [
{
"exception": "<string>",
"handling": "<string>"
}
],
"handlings": [
{
"exceptionId": "<string>",
"handling": "<string>"
}
],
"timeSpent": {
"hours": 1
},
"frequency": {
"count": 1
}
},
"mapChange": "<string>",
"decidedByUserId": "<string>",
"decidedAt": "<string>",
"assignedUserId": "<string>",
"assignedByUserId": "<string>",
"assignedAt": "<string>"
}
],
"readinessRationale": "<string>",
"linkedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"laneId": "<string>"
}
],
"baselineSnapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clarityCurrentProcessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>",
"projectedImpact": "<string>",
"lanes": [
{
"id": "<string>",
"name": "<string>"
}
]
}
'import requests
url = "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save"
payload = {
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": True
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exceptions": [
{
"id": "<string>",
"exception": "<string>",
"handling": "<string>"
}
],
"assumptions": ["<string>"],
"openQuestions": ["<string>"],
"nodeType": "event",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>",
"captureId": "<string>",
"evidenceId": "<string>",
"locator": {
"type": "transcript_message",
"messageIndex": 4503599627370495,
"timestampMs": 4503599627370495
}
}
],
"condition": "<string>",
"pool": "<string>",
"dataObjects": [
{
"name": "<string>",
"state": "<string>"
}
],
"interactions": [
{
"field": "<string>",
"screen": "<string>",
"system": "<string>",
"value": "<string>",
"valueSource": "<string>"
}
],
"effort": [
{
"person": "<string>",
"timeSpent": { "hours": 1 },
"frequency": { "count": 1 },
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"extraCaptureNeeds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
}
],
"missingInfo": [
{
"id": "<string>",
"factKey": "<string>",
"ask": "<string>",
"createdAt": "<string>",
"proposal": "<string>",
"thread": [],
"fact": "<string>",
"applied": {
"person": "<string>",
"excerpt": "<string>",
"value": "<string>",
"exceptions": [
{
"exception": "<string>",
"handling": "<string>"
}
],
"handlings": [
{
"exceptionId": "<string>",
"handling": "<string>"
}
],
"timeSpent": { "hours": 1 },
"frequency": { "count": 1 }
},
"mapChange": "<string>",
"decidedByUserId": "<string>",
"decidedAt": "<string>",
"assignedUserId": "<string>",
"assignedByUserId": "<string>",
"assignedAt": "<string>"
}
],
"readinessRationale": "<string>",
"linkedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"laneId": "<string>"
}
],
"baselineSnapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clarityCurrentProcessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"swot": {
"strengths": ["<string>"],
"weaknesses": ["<string>"],
"opportunities": ["<string>"],
"threats": ["<string>"]
},
"summary": "<string>",
"projectedImpact": "<string>",
"lanes": [
{
"id": "<string>",
"name": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
steps: [
{
id: '<string>',
targetSteps: [{stepId: '<string>', label: '<string>', isDefault: true}],
title: '<string>',
action: '<string>',
role: '<string>',
system: '<string>',
input: '<string>',
output: '<string>',
exceptions: [{id: '<string>', exception: '<string>', handling: '<string>'}],
assumptions: ['<string>'],
openQuestions: ['<string>'],
nodeType: 'event',
description: '<string>',
rationale: '<string>',
sources: [
{
attribution: '<string>',
excerpt: '<string>',
captureId: '<string>',
evidenceId: '<string>',
locator: {
type: 'transcript_message',
messageIndex: 4503599627370495,
timestampMs: 4503599627370495
}
}
],
condition: '<string>',
pool: '<string>',
dataObjects: [{name: '<string>', state: '<string>'}],
interactions: [
{
field: '<string>',
screen: '<string>',
system: '<string>',
value: '<string>',
valueSource: '<string>'
}
],
effort: [
{
person: '<string>',
timeSpent: {hours: 1},
frequency: {count: 1},
excerpt: '<string>',
userId: '<string>',
captureId: '<string>'
}
],
extraCaptureNeeded: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
gap: '<string>',
proposal: '<string>'
},
extraCaptureNeeds: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
gap: '<string>',
proposal: '<string>'
}
],
missingInfo: [
{
id: '<string>',
factKey: '<string>',
ask: '<string>',
createdAt: '<string>',
proposal: '<string>',
thread: [],
fact: '<string>',
applied: {
person: '<string>',
excerpt: '<string>',
value: '<string>',
exceptions: [{exception: '<string>', handling: '<string>'}],
handlings: [{exceptionId: '<string>', handling: '<string>'}],
timeSpent: {hours: 1},
frequency: {count: 1}
},
mapChange: '<string>',
decidedByUserId: '<string>',
decidedAt: '<string>',
assignedUserId: '<string>',
assignedByUserId: '<string>',
assignedAt: '<string>'
}
],
readinessRationale: '<string>',
linkedAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
laneId: '<string>'
}
],
baselineSnapshotId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clarityCurrentProcessId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
swot: {
strengths: ['<string>'],
weaknesses: ['<string>'],
opportunities: ['<string>'],
threats: ['<string>']
},
summary: '<string>',
projectedImpact: '<string>',
lanes: [{id: '<string>', name: '<string>'}]
})
};
fetch('https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'steps' => [
[
'id' => '<string>',
'targetSteps' => [
[
'stepId' => '<string>',
'label' => '<string>',
'isDefault' => true
]
],
'title' => '<string>',
'action' => '<string>',
'role' => '<string>',
'system' => '<string>',
'input' => '<string>',
'output' => '<string>',
'exceptions' => [
[
'id' => '<string>',
'exception' => '<string>',
'handling' => '<string>'
]
],
'assumptions' => [
'<string>'
],
'openQuestions' => [
'<string>'
],
'nodeType' => 'event',
'description' => '<string>',
'rationale' => '<string>',
'sources' => [
[
'attribution' => '<string>',
'excerpt' => '<string>',
'captureId' => '<string>',
'evidenceId' => '<string>',
'locator' => [
'type' => 'transcript_message',
'messageIndex' => 4503599627370495,
'timestampMs' => 4503599627370495
]
]
],
'condition' => '<string>',
'pool' => '<string>',
'dataObjects' => [
[
'name' => '<string>',
'state' => '<string>'
]
],
'interactions' => [
[
'field' => '<string>',
'screen' => '<string>',
'system' => '<string>',
'value' => '<string>',
'valueSource' => '<string>'
]
],
'effort' => [
[
'person' => '<string>',
'timeSpent' => [
'hours' => 1
],
'frequency' => [
'count' => 1
],
'excerpt' => '<string>',
'userId' => '<string>',
'captureId' => '<string>'
]
],
'extraCaptureNeeded' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'gap' => '<string>',
'proposal' => '<string>'
],
'extraCaptureNeeds' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'gap' => '<string>',
'proposal' => '<string>'
]
],
'missingInfo' => [
[
'id' => '<string>',
'factKey' => '<string>',
'ask' => '<string>',
'createdAt' => '<string>',
'proposal' => '<string>',
'thread' => [
],
'fact' => '<string>',
'applied' => [
'person' => '<string>',
'excerpt' => '<string>',
'value' => '<string>',
'exceptions' => [
[
'exception' => '<string>',
'handling' => '<string>'
]
],
'handlings' => [
[
'exceptionId' => '<string>',
'handling' => '<string>'
]
],
'timeSpent' => [
'hours' => 1
],
'frequency' => [
'count' => 1
]
],
'mapChange' => '<string>',
'decidedByUserId' => '<string>',
'decidedAt' => '<string>',
'assignedUserId' => '<string>',
'assignedByUserId' => '<string>',
'assignedAt' => '<string>'
]
],
'readinessRationale' => '<string>',
'linkedAgentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'laneId' => '<string>'
]
],
'baselineSnapshotId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clarityCurrentProcessId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'swot' => [
'strengths' => [
'<string>'
],
'weaknesses' => [
'<string>'
],
'opportunities' => [
'<string>'
],
'threats' => [
'<string>'
]
],
'summary' => '<string>',
'projectedImpact' => '<string>',
'lanes' => [
[
'id' => '<string>',
'name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save"
payload := strings.NewReader("{\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"targetSteps\": [\n {\n \"stepId\": \"<string>\",\n \"label\": \"<string>\",\n \"isDefault\": true\n }\n ],\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"role\": \"<string>\",\n \"system\": \"<string>\",\n \"input\": \"<string>\",\n \"output\": \"<string>\",\n \"exceptions\": [\n {\n \"id\": \"<string>\",\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"assumptions\": [\n \"<string>\"\n ],\n \"openQuestions\": [\n \"<string>\"\n ],\n \"nodeType\": \"event\",\n \"description\": \"<string>\",\n \"rationale\": \"<string>\",\n \"sources\": [\n {\n \"attribution\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"captureId\": \"<string>\",\n \"evidenceId\": \"<string>\",\n \"locator\": {\n \"type\": \"transcript_message\",\n \"messageIndex\": 4503599627370495,\n \"timestampMs\": 4503599627370495\n }\n }\n ],\n \"condition\": \"<string>\",\n \"pool\": \"<string>\",\n \"dataObjects\": [\n {\n \"name\": \"<string>\",\n \"state\": \"<string>\"\n }\n ],\n \"interactions\": [\n {\n \"field\": \"<string>\",\n \"screen\": \"<string>\",\n \"system\": \"<string>\",\n \"value\": \"<string>\",\n \"valueSource\": \"<string>\"\n }\n ],\n \"effort\": [\n {\n \"person\": \"<string>\",\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n },\n \"excerpt\": \"<string>\",\n \"userId\": \"<string>\",\n \"captureId\": \"<string>\"\n }\n ],\n \"extraCaptureNeeded\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n },\n \"extraCaptureNeeds\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n }\n ],\n \"missingInfo\": [\n {\n \"id\": \"<string>\",\n \"factKey\": \"<string>\",\n \"ask\": \"<string>\",\n \"createdAt\": \"<string>\",\n \"proposal\": \"<string>\",\n \"thread\": [],\n \"fact\": \"<string>\",\n \"applied\": {\n \"person\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"value\": \"<string>\",\n \"exceptions\": [\n {\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"handlings\": [\n {\n \"exceptionId\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n }\n },\n \"mapChange\": \"<string>\",\n \"decidedByUserId\": \"<string>\",\n \"decidedAt\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"assignedByUserId\": \"<string>\",\n \"assignedAt\": \"<string>\"\n }\n ],\n \"readinessRationale\": \"<string>\",\n \"linkedAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"laneId\": \"<string>\"\n }\n ],\n \"baselineSnapshotId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clarityCurrentProcessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"swot\": {\n \"strengths\": [\n \"<string>\"\n ],\n \"weaknesses\": [\n \"<string>\"\n ],\n \"opportunities\": [\n \"<string>\"\n ],\n \"threats\": [\n \"<string>\"\n ]\n },\n \"summary\": \"<string>\",\n \"projectedImpact\": \"<string>\",\n \"lanes\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"targetSteps\": [\n {\n \"stepId\": \"<string>\",\n \"label\": \"<string>\",\n \"isDefault\": true\n }\n ],\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"role\": \"<string>\",\n \"system\": \"<string>\",\n \"input\": \"<string>\",\n \"output\": \"<string>\",\n \"exceptions\": [\n {\n \"id\": \"<string>\",\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"assumptions\": [\n \"<string>\"\n ],\n \"openQuestions\": [\n \"<string>\"\n ],\n \"nodeType\": \"event\",\n \"description\": \"<string>\",\n \"rationale\": \"<string>\",\n \"sources\": [\n {\n \"attribution\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"captureId\": \"<string>\",\n \"evidenceId\": \"<string>\",\n \"locator\": {\n \"type\": \"transcript_message\",\n \"messageIndex\": 4503599627370495,\n \"timestampMs\": 4503599627370495\n }\n }\n ],\n \"condition\": \"<string>\",\n \"pool\": \"<string>\",\n \"dataObjects\": [\n {\n \"name\": \"<string>\",\n \"state\": \"<string>\"\n }\n ],\n \"interactions\": [\n {\n \"field\": \"<string>\",\n \"screen\": \"<string>\",\n \"system\": \"<string>\",\n \"value\": \"<string>\",\n \"valueSource\": \"<string>\"\n }\n ],\n \"effort\": [\n {\n \"person\": \"<string>\",\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n },\n \"excerpt\": \"<string>\",\n \"userId\": \"<string>\",\n \"captureId\": \"<string>\"\n }\n ],\n \"extraCaptureNeeded\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n },\n \"extraCaptureNeeds\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n }\n ],\n \"missingInfo\": [\n {\n \"id\": \"<string>\",\n \"factKey\": \"<string>\",\n \"ask\": \"<string>\",\n \"createdAt\": \"<string>\",\n \"proposal\": \"<string>\",\n \"thread\": [],\n \"fact\": \"<string>\",\n \"applied\": {\n \"person\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"value\": \"<string>\",\n \"exceptions\": [\n {\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"handlings\": [\n {\n \"exceptionId\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n }\n },\n \"mapChange\": \"<string>\",\n \"decidedByUserId\": \"<string>\",\n \"decidedAt\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"assignedByUserId\": \"<string>\",\n \"assignedAt\": \"<string>\"\n }\n ],\n \"readinessRationale\": \"<string>\",\n \"linkedAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"laneId\": \"<string>\"\n }\n ],\n \"baselineSnapshotId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clarityCurrentProcessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"swot\": {\n \"strengths\": [\n \"<string>\"\n ],\n \"weaknesses\": [\n \"<string>\"\n ],\n \"opportunities\": [\n \"<string>\"\n ],\n \"threats\": [\n \"<string>\"\n ]\n },\n \"summary\": \"<string>\",\n \"projectedImpact\": \"<string>\",\n \"lanes\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"targetSteps\": [\n {\n \"stepId\": \"<string>\",\n \"label\": \"<string>\",\n \"isDefault\": true\n }\n ],\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"role\": \"<string>\",\n \"system\": \"<string>\",\n \"input\": \"<string>\",\n \"output\": \"<string>\",\n \"exceptions\": [\n {\n \"id\": \"<string>\",\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"assumptions\": [\n \"<string>\"\n ],\n \"openQuestions\": [\n \"<string>\"\n ],\n \"nodeType\": \"event\",\n \"description\": \"<string>\",\n \"rationale\": \"<string>\",\n \"sources\": [\n {\n \"attribution\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"captureId\": \"<string>\",\n \"evidenceId\": \"<string>\",\n \"locator\": {\n \"type\": \"transcript_message\",\n \"messageIndex\": 4503599627370495,\n \"timestampMs\": 4503599627370495\n }\n }\n ],\n \"condition\": \"<string>\",\n \"pool\": \"<string>\",\n \"dataObjects\": [\n {\n \"name\": \"<string>\",\n \"state\": \"<string>\"\n }\n ],\n \"interactions\": [\n {\n \"field\": \"<string>\",\n \"screen\": \"<string>\",\n \"system\": \"<string>\",\n \"value\": \"<string>\",\n \"valueSource\": \"<string>\"\n }\n ],\n \"effort\": [\n {\n \"person\": \"<string>\",\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n },\n \"excerpt\": \"<string>\",\n \"userId\": \"<string>\",\n \"captureId\": \"<string>\"\n }\n ],\n \"extraCaptureNeeded\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n },\n \"extraCaptureNeeds\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n }\n ],\n \"missingInfo\": [\n {\n \"id\": \"<string>\",\n \"factKey\": \"<string>\",\n \"ask\": \"<string>\",\n \"createdAt\": \"<string>\",\n \"proposal\": \"<string>\",\n \"thread\": [],\n \"fact\": \"<string>\",\n \"applied\": {\n \"person\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"value\": \"<string>\",\n \"exceptions\": [\n {\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"handlings\": [\n {\n \"exceptionId\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n }\n },\n \"mapChange\": \"<string>\",\n \"decidedByUserId\": \"<string>\",\n \"decidedAt\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"assignedByUserId\": \"<string>\",\n \"assignedAt\": \"<string>\"\n }\n ],\n \"readinessRationale\": \"<string>\",\n \"linkedAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"laneId\": \"<string>\"\n }\n ],\n \"baselineSnapshotId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clarityCurrentProcessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"swot\": {\n \"strengths\": [\n \"<string>\"\n ],\n \"weaknesses\": [\n \"<string>\"\n ],\n \"opportunities\": [\n \"<string>\"\n ],\n \"threats\": [\n \"<string>\"\n ]\n },\n \"summary\": \"<string>\",\n \"projectedImpact\": \"<string>\",\n \"lanes\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"snapshot": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_snapshot_id": null,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"status": "live",
"creator_type": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_id": "<string>",
"last_session_id": "<string>",
"kind": "current_process",
"data": {
"version": 0,
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exception": "<string>",
"handling": "<string>",
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"confidence": "low",
"nodeType": "event",
"nodeSubtype": "start",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>",
"captureId": "<string>",
"evidenceId": "<string>",
"locator": {
"type": "transcript_message",
"messageIndex": 4503599627370495,
"timestampMs": 4503599627370495
},
"sourceConfidence": "low",
"resolutionStatus": "resolved"
}
],
"condition": "<string>",
"pool": "<string>",
"dataObjects": [
{
"name": "<string>",
"state": "<string>",
"access": "read"
}
],
"interactions": [
{
"action": "read",
"field": "<string>",
"screen": "<string>",
"system": "<string>",
"value": "<string>",
"valueSource": "<string>"
}
],
"effort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
},
"basis": "stated",
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"extraCaptureNeeds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
}
],
"missingInfo": [
{
"id": "<string>",
"factKey": "<string>",
"target": "role",
"ask": "<string>",
"status": "open",
"thread": [],
"createdAt": "<string>",
"scope": "step",
"proposal": "<string>",
"fact": "<string>",
"applied": {
"person": "<string>",
"excerpt": "<string>",
"value": "<string>",
"exceptions": [
{
"exception": "<string>",
"handling": "<string>",
"frequency": "rare"
}
],
"handlings": [
{
"exceptionId": "<string>",
"handling": "<string>",
"frequency": "rare"
}
],
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
}
},
"mapChange": "<string>",
"decidedByUserId": "<string>",
"decidedAt": "<string>",
"assignedUserId": "<string>",
"assignedByUserId": "<string>",
"assignedAt": "<string>"
}
],
"readiness": "low",
"readinessRationale": "<string>",
"linkedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"laneId": "<string>"
}
],
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>",
"processEffort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
},
"basis": "stated",
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"captureBaseline": {
"generatedAt": "2023-11-07T05:31:56Z",
"captureIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"omittedCaptureIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"lanes": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}ClarityV2
Save Clarity Process Snapshot
Save user edits as the live Clarity v2 snapshot for the selected kind.
POST
/
v2
/
clarity-v2
/
processes
/
{process_id}
/
snapshots
/
{kind}
/
save
Save Clarity Process Snapshot
curl --request POST \
--url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exceptions": [
{
"id": "<string>",
"exception": "<string>",
"handling": "<string>"
}
],
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"nodeType": "event",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>",
"captureId": "<string>",
"evidenceId": "<string>",
"locator": {
"type": "transcript_message",
"messageIndex": 4503599627370495,
"timestampMs": 4503599627370495
}
}
],
"condition": "<string>",
"pool": "<string>",
"dataObjects": [
{
"name": "<string>",
"state": "<string>"
}
],
"interactions": [
{
"field": "<string>",
"screen": "<string>",
"system": "<string>",
"value": "<string>",
"valueSource": "<string>"
}
],
"effort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1
},
"frequency": {
"count": 1
},
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"extraCaptureNeeds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
}
],
"missingInfo": [
{
"id": "<string>",
"factKey": "<string>",
"ask": "<string>",
"createdAt": "<string>",
"proposal": "<string>",
"thread": [],
"fact": "<string>",
"applied": {
"person": "<string>",
"excerpt": "<string>",
"value": "<string>",
"exceptions": [
{
"exception": "<string>",
"handling": "<string>"
}
],
"handlings": [
{
"exceptionId": "<string>",
"handling": "<string>"
}
],
"timeSpent": {
"hours": 1
},
"frequency": {
"count": 1
}
},
"mapChange": "<string>",
"decidedByUserId": "<string>",
"decidedAt": "<string>",
"assignedUserId": "<string>",
"assignedByUserId": "<string>",
"assignedAt": "<string>"
}
],
"readinessRationale": "<string>",
"linkedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"laneId": "<string>"
}
],
"baselineSnapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clarityCurrentProcessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>",
"projectedImpact": "<string>",
"lanes": [
{
"id": "<string>",
"name": "<string>"
}
]
}
'import requests
url = "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save"
payload = {
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": True
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exceptions": [
{
"id": "<string>",
"exception": "<string>",
"handling": "<string>"
}
],
"assumptions": ["<string>"],
"openQuestions": ["<string>"],
"nodeType": "event",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>",
"captureId": "<string>",
"evidenceId": "<string>",
"locator": {
"type": "transcript_message",
"messageIndex": 4503599627370495,
"timestampMs": 4503599627370495
}
}
],
"condition": "<string>",
"pool": "<string>",
"dataObjects": [
{
"name": "<string>",
"state": "<string>"
}
],
"interactions": [
{
"field": "<string>",
"screen": "<string>",
"system": "<string>",
"value": "<string>",
"valueSource": "<string>"
}
],
"effort": [
{
"person": "<string>",
"timeSpent": { "hours": 1 },
"frequency": { "count": 1 },
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"extraCaptureNeeds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
}
],
"missingInfo": [
{
"id": "<string>",
"factKey": "<string>",
"ask": "<string>",
"createdAt": "<string>",
"proposal": "<string>",
"thread": [],
"fact": "<string>",
"applied": {
"person": "<string>",
"excerpt": "<string>",
"value": "<string>",
"exceptions": [
{
"exception": "<string>",
"handling": "<string>"
}
],
"handlings": [
{
"exceptionId": "<string>",
"handling": "<string>"
}
],
"timeSpent": { "hours": 1 },
"frequency": { "count": 1 }
},
"mapChange": "<string>",
"decidedByUserId": "<string>",
"decidedAt": "<string>",
"assignedUserId": "<string>",
"assignedByUserId": "<string>",
"assignedAt": "<string>"
}
],
"readinessRationale": "<string>",
"linkedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"laneId": "<string>"
}
],
"baselineSnapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clarityCurrentProcessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"swot": {
"strengths": ["<string>"],
"weaknesses": ["<string>"],
"opportunities": ["<string>"],
"threats": ["<string>"]
},
"summary": "<string>",
"projectedImpact": "<string>",
"lanes": [
{
"id": "<string>",
"name": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
steps: [
{
id: '<string>',
targetSteps: [{stepId: '<string>', label: '<string>', isDefault: true}],
title: '<string>',
action: '<string>',
role: '<string>',
system: '<string>',
input: '<string>',
output: '<string>',
exceptions: [{id: '<string>', exception: '<string>', handling: '<string>'}],
assumptions: ['<string>'],
openQuestions: ['<string>'],
nodeType: 'event',
description: '<string>',
rationale: '<string>',
sources: [
{
attribution: '<string>',
excerpt: '<string>',
captureId: '<string>',
evidenceId: '<string>',
locator: {
type: 'transcript_message',
messageIndex: 4503599627370495,
timestampMs: 4503599627370495
}
}
],
condition: '<string>',
pool: '<string>',
dataObjects: [{name: '<string>', state: '<string>'}],
interactions: [
{
field: '<string>',
screen: '<string>',
system: '<string>',
value: '<string>',
valueSource: '<string>'
}
],
effort: [
{
person: '<string>',
timeSpent: {hours: 1},
frequency: {count: 1},
excerpt: '<string>',
userId: '<string>',
captureId: '<string>'
}
],
extraCaptureNeeded: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
gap: '<string>',
proposal: '<string>'
},
extraCaptureNeeds: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
gap: '<string>',
proposal: '<string>'
}
],
missingInfo: [
{
id: '<string>',
factKey: '<string>',
ask: '<string>',
createdAt: '<string>',
proposal: '<string>',
thread: [],
fact: '<string>',
applied: {
person: '<string>',
excerpt: '<string>',
value: '<string>',
exceptions: [{exception: '<string>', handling: '<string>'}],
handlings: [{exceptionId: '<string>', handling: '<string>'}],
timeSpent: {hours: 1},
frequency: {count: 1}
},
mapChange: '<string>',
decidedByUserId: '<string>',
decidedAt: '<string>',
assignedUserId: '<string>',
assignedByUserId: '<string>',
assignedAt: '<string>'
}
],
readinessRationale: '<string>',
linkedAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
laneId: '<string>'
}
],
baselineSnapshotId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clarityCurrentProcessId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
swot: {
strengths: ['<string>'],
weaknesses: ['<string>'],
opportunities: ['<string>'],
threats: ['<string>']
},
summary: '<string>',
projectedImpact: '<string>',
lanes: [{id: '<string>', name: '<string>'}]
})
};
fetch('https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'steps' => [
[
'id' => '<string>',
'targetSteps' => [
[
'stepId' => '<string>',
'label' => '<string>',
'isDefault' => true
]
],
'title' => '<string>',
'action' => '<string>',
'role' => '<string>',
'system' => '<string>',
'input' => '<string>',
'output' => '<string>',
'exceptions' => [
[
'id' => '<string>',
'exception' => '<string>',
'handling' => '<string>'
]
],
'assumptions' => [
'<string>'
],
'openQuestions' => [
'<string>'
],
'nodeType' => 'event',
'description' => '<string>',
'rationale' => '<string>',
'sources' => [
[
'attribution' => '<string>',
'excerpt' => '<string>',
'captureId' => '<string>',
'evidenceId' => '<string>',
'locator' => [
'type' => 'transcript_message',
'messageIndex' => 4503599627370495,
'timestampMs' => 4503599627370495
]
]
],
'condition' => '<string>',
'pool' => '<string>',
'dataObjects' => [
[
'name' => '<string>',
'state' => '<string>'
]
],
'interactions' => [
[
'field' => '<string>',
'screen' => '<string>',
'system' => '<string>',
'value' => '<string>',
'valueSource' => '<string>'
]
],
'effort' => [
[
'person' => '<string>',
'timeSpent' => [
'hours' => 1
],
'frequency' => [
'count' => 1
],
'excerpt' => '<string>',
'userId' => '<string>',
'captureId' => '<string>'
]
],
'extraCaptureNeeded' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'gap' => '<string>',
'proposal' => '<string>'
],
'extraCaptureNeeds' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'gap' => '<string>',
'proposal' => '<string>'
]
],
'missingInfo' => [
[
'id' => '<string>',
'factKey' => '<string>',
'ask' => '<string>',
'createdAt' => '<string>',
'proposal' => '<string>',
'thread' => [
],
'fact' => '<string>',
'applied' => [
'person' => '<string>',
'excerpt' => '<string>',
'value' => '<string>',
'exceptions' => [
[
'exception' => '<string>',
'handling' => '<string>'
]
],
'handlings' => [
[
'exceptionId' => '<string>',
'handling' => '<string>'
]
],
'timeSpent' => [
'hours' => 1
],
'frequency' => [
'count' => 1
]
],
'mapChange' => '<string>',
'decidedByUserId' => '<string>',
'decidedAt' => '<string>',
'assignedUserId' => '<string>',
'assignedByUserId' => '<string>',
'assignedAt' => '<string>'
]
],
'readinessRationale' => '<string>',
'linkedAgentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'laneId' => '<string>'
]
],
'baselineSnapshotId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clarityCurrentProcessId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'swot' => [
'strengths' => [
'<string>'
],
'weaknesses' => [
'<string>'
],
'opportunities' => [
'<string>'
],
'threats' => [
'<string>'
]
],
'summary' => '<string>',
'projectedImpact' => '<string>',
'lanes' => [
[
'id' => '<string>',
'name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save"
payload := strings.NewReader("{\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"targetSteps\": [\n {\n \"stepId\": \"<string>\",\n \"label\": \"<string>\",\n \"isDefault\": true\n }\n ],\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"role\": \"<string>\",\n \"system\": \"<string>\",\n \"input\": \"<string>\",\n \"output\": \"<string>\",\n \"exceptions\": [\n {\n \"id\": \"<string>\",\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"assumptions\": [\n \"<string>\"\n ],\n \"openQuestions\": [\n \"<string>\"\n ],\n \"nodeType\": \"event\",\n \"description\": \"<string>\",\n \"rationale\": \"<string>\",\n \"sources\": [\n {\n \"attribution\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"captureId\": \"<string>\",\n \"evidenceId\": \"<string>\",\n \"locator\": {\n \"type\": \"transcript_message\",\n \"messageIndex\": 4503599627370495,\n \"timestampMs\": 4503599627370495\n }\n }\n ],\n \"condition\": \"<string>\",\n \"pool\": \"<string>\",\n \"dataObjects\": [\n {\n \"name\": \"<string>\",\n \"state\": \"<string>\"\n }\n ],\n \"interactions\": [\n {\n \"field\": \"<string>\",\n \"screen\": \"<string>\",\n \"system\": \"<string>\",\n \"value\": \"<string>\",\n \"valueSource\": \"<string>\"\n }\n ],\n \"effort\": [\n {\n \"person\": \"<string>\",\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n },\n \"excerpt\": \"<string>\",\n \"userId\": \"<string>\",\n \"captureId\": \"<string>\"\n }\n ],\n \"extraCaptureNeeded\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n },\n \"extraCaptureNeeds\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n }\n ],\n \"missingInfo\": [\n {\n \"id\": \"<string>\",\n \"factKey\": \"<string>\",\n \"ask\": \"<string>\",\n \"createdAt\": \"<string>\",\n \"proposal\": \"<string>\",\n \"thread\": [],\n \"fact\": \"<string>\",\n \"applied\": {\n \"person\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"value\": \"<string>\",\n \"exceptions\": [\n {\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"handlings\": [\n {\n \"exceptionId\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n }\n },\n \"mapChange\": \"<string>\",\n \"decidedByUserId\": \"<string>\",\n \"decidedAt\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"assignedByUserId\": \"<string>\",\n \"assignedAt\": \"<string>\"\n }\n ],\n \"readinessRationale\": \"<string>\",\n \"linkedAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"laneId\": \"<string>\"\n }\n ],\n \"baselineSnapshotId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clarityCurrentProcessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"swot\": {\n \"strengths\": [\n \"<string>\"\n ],\n \"weaknesses\": [\n \"<string>\"\n ],\n \"opportunities\": [\n \"<string>\"\n ],\n \"threats\": [\n \"<string>\"\n ]\n },\n \"summary\": \"<string>\",\n \"projectedImpact\": \"<string>\",\n \"lanes\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"targetSteps\": [\n {\n \"stepId\": \"<string>\",\n \"label\": \"<string>\",\n \"isDefault\": true\n }\n ],\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"role\": \"<string>\",\n \"system\": \"<string>\",\n \"input\": \"<string>\",\n \"output\": \"<string>\",\n \"exceptions\": [\n {\n \"id\": \"<string>\",\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"assumptions\": [\n \"<string>\"\n ],\n \"openQuestions\": [\n \"<string>\"\n ],\n \"nodeType\": \"event\",\n \"description\": \"<string>\",\n \"rationale\": \"<string>\",\n \"sources\": [\n {\n \"attribution\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"captureId\": \"<string>\",\n \"evidenceId\": \"<string>\",\n \"locator\": {\n \"type\": \"transcript_message\",\n \"messageIndex\": 4503599627370495,\n \"timestampMs\": 4503599627370495\n }\n }\n ],\n \"condition\": \"<string>\",\n \"pool\": \"<string>\",\n \"dataObjects\": [\n {\n \"name\": \"<string>\",\n \"state\": \"<string>\"\n }\n ],\n \"interactions\": [\n {\n \"field\": \"<string>\",\n \"screen\": \"<string>\",\n \"system\": \"<string>\",\n \"value\": \"<string>\",\n \"valueSource\": \"<string>\"\n }\n ],\n \"effort\": [\n {\n \"person\": \"<string>\",\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n },\n \"excerpt\": \"<string>\",\n \"userId\": \"<string>\",\n \"captureId\": \"<string>\"\n }\n ],\n \"extraCaptureNeeded\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n },\n \"extraCaptureNeeds\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n }\n ],\n \"missingInfo\": [\n {\n \"id\": \"<string>\",\n \"factKey\": \"<string>\",\n \"ask\": \"<string>\",\n \"createdAt\": \"<string>\",\n \"proposal\": \"<string>\",\n \"thread\": [],\n \"fact\": \"<string>\",\n \"applied\": {\n \"person\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"value\": \"<string>\",\n \"exceptions\": [\n {\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"handlings\": [\n {\n \"exceptionId\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n }\n },\n \"mapChange\": \"<string>\",\n \"decidedByUserId\": \"<string>\",\n \"decidedAt\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"assignedByUserId\": \"<string>\",\n \"assignedAt\": \"<string>\"\n }\n ],\n \"readinessRationale\": \"<string>\",\n \"linkedAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"laneId\": \"<string>\"\n }\n ],\n \"baselineSnapshotId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clarityCurrentProcessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"swot\": {\n \"strengths\": [\n \"<string>\"\n ],\n \"weaknesses\": [\n \"<string>\"\n ],\n \"opportunities\": [\n \"<string>\"\n ],\n \"threats\": [\n \"<string>\"\n ]\n },\n \"summary\": \"<string>\",\n \"projectedImpact\": \"<string>\",\n \"lanes\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/save")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"targetSteps\": [\n {\n \"stepId\": \"<string>\",\n \"label\": \"<string>\",\n \"isDefault\": true\n }\n ],\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"role\": \"<string>\",\n \"system\": \"<string>\",\n \"input\": \"<string>\",\n \"output\": \"<string>\",\n \"exceptions\": [\n {\n \"id\": \"<string>\",\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"assumptions\": [\n \"<string>\"\n ],\n \"openQuestions\": [\n \"<string>\"\n ],\n \"nodeType\": \"event\",\n \"description\": \"<string>\",\n \"rationale\": \"<string>\",\n \"sources\": [\n {\n \"attribution\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"captureId\": \"<string>\",\n \"evidenceId\": \"<string>\",\n \"locator\": {\n \"type\": \"transcript_message\",\n \"messageIndex\": 4503599627370495,\n \"timestampMs\": 4503599627370495\n }\n }\n ],\n \"condition\": \"<string>\",\n \"pool\": \"<string>\",\n \"dataObjects\": [\n {\n \"name\": \"<string>\",\n \"state\": \"<string>\"\n }\n ],\n \"interactions\": [\n {\n \"field\": \"<string>\",\n \"screen\": \"<string>\",\n \"system\": \"<string>\",\n \"value\": \"<string>\",\n \"valueSource\": \"<string>\"\n }\n ],\n \"effort\": [\n {\n \"person\": \"<string>\",\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n },\n \"excerpt\": \"<string>\",\n \"userId\": \"<string>\",\n \"captureId\": \"<string>\"\n }\n ],\n \"extraCaptureNeeded\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n },\n \"extraCaptureNeeds\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"gap\": \"<string>\",\n \"proposal\": \"<string>\"\n }\n ],\n \"missingInfo\": [\n {\n \"id\": \"<string>\",\n \"factKey\": \"<string>\",\n \"ask\": \"<string>\",\n \"createdAt\": \"<string>\",\n \"proposal\": \"<string>\",\n \"thread\": [],\n \"fact\": \"<string>\",\n \"applied\": {\n \"person\": \"<string>\",\n \"excerpt\": \"<string>\",\n \"value\": \"<string>\",\n \"exceptions\": [\n {\n \"exception\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"handlings\": [\n {\n \"exceptionId\": \"<string>\",\n \"handling\": \"<string>\"\n }\n ],\n \"timeSpent\": {\n \"hours\": 1\n },\n \"frequency\": {\n \"count\": 1\n }\n },\n \"mapChange\": \"<string>\",\n \"decidedByUserId\": \"<string>\",\n \"decidedAt\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"assignedByUserId\": \"<string>\",\n \"assignedAt\": \"<string>\"\n }\n ],\n \"readinessRationale\": \"<string>\",\n \"linkedAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"laneId\": \"<string>\"\n }\n ],\n \"baselineSnapshotId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clarityCurrentProcessId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"swot\": {\n \"strengths\": [\n \"<string>\"\n ],\n \"weaknesses\": [\n \"<string>\"\n ],\n \"opportunities\": [\n \"<string>\"\n ],\n \"threats\": [\n \"<string>\"\n ]\n },\n \"summary\": \"<string>\",\n \"projectedImpact\": \"<string>\",\n \"lanes\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"snapshot": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_snapshot_id": null,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"status": "live",
"creator_type": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_id": "<string>",
"last_session_id": "<string>",
"kind": "current_process",
"data": {
"version": 0,
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exception": "<string>",
"handling": "<string>",
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"confidence": "low",
"nodeType": "event",
"nodeSubtype": "start",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>",
"captureId": "<string>",
"evidenceId": "<string>",
"locator": {
"type": "transcript_message",
"messageIndex": 4503599627370495,
"timestampMs": 4503599627370495
},
"sourceConfidence": "low",
"resolutionStatus": "resolved"
}
],
"condition": "<string>",
"pool": "<string>",
"dataObjects": [
{
"name": "<string>",
"state": "<string>",
"access": "read"
}
],
"interactions": [
{
"action": "read",
"field": "<string>",
"screen": "<string>",
"system": "<string>",
"value": "<string>",
"valueSource": "<string>"
}
],
"effort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
},
"basis": "stated",
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"extraCaptureNeeds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
}
],
"missingInfo": [
{
"id": "<string>",
"factKey": "<string>",
"target": "role",
"ask": "<string>",
"status": "open",
"thread": [],
"createdAt": "<string>",
"scope": "step",
"proposal": "<string>",
"fact": "<string>",
"applied": {
"person": "<string>",
"excerpt": "<string>",
"value": "<string>",
"exceptions": [
{
"exception": "<string>",
"handling": "<string>",
"frequency": "rare"
}
],
"handlings": [
{
"exceptionId": "<string>",
"handling": "<string>",
"frequency": "rare"
}
],
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
}
},
"mapChange": "<string>",
"decidedByUserId": "<string>",
"decidedAt": "<string>",
"assignedUserId": "<string>",
"assignedByUserId": "<string>",
"assignedAt": "<string>"
}
],
"readiness": "low",
"readinessRationale": "<string>",
"linkedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"laneId": "<string>"
}
],
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>",
"processEffort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
},
"basis": "stated",
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"captureBaseline": {
"generatedAt": "2023-11-07T05:31:56Z",
"captureIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"omittedCaptureIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"lanes": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
One short paragraph (3-5 sentences) describing the captured process at a glance. Surfaced at the top of the current-process tab so reviewers can orient themselves before scanning the steps. Example: "Customers order beer at the bar; the bartender greets them, picks an option matching their preference, pours and garnishes the glass, then rings the order through the POS before serving."
Minimum string length:
1Was this page helpful?